<!DOCTYPE html>
<html lang="en"> 
<head>
	<meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="Start your development with JohnDoe landing page.">
    <meta name="author" content="Devcrud">
    <link rel="shortcut icon" href="assets/imgs/EC.png" type="">
    <title>Denuncias MDC</title>
    <!-- font icons -->
    <link rel="stylesheet" href="assets/vendors/themify-icons/css/themify-icons.css">
    <link rel="stylesheet" href="assets/css/estilos.css">
    <!-- Bootstrap + JohnDoe main styles -->
	<link rel="stylesheet" href="assets/css/johndoe.css">
</head>
<body data-spy="scroll" data-target=".navbar" data-offset="40" id="home">
    
    <header class="">
        <nav class="navbar sticky-top navbar-expand-lg navbar-light bg-white" data-spy="affix" data-offset-top="510">
            <div class="container">
                <a href="reporte.php"><h3>Denuncias Cieneguilla</h3></a>
                <a href="reporte.php"><img src="assets/imgs/Escudo.png" width="30px"></a>
            </div>
        </nav>
        
    </header>
    
    <div class="section contact">
        <div class="">
            <div class="row">
                
                    <div class="contact-form-card">
                        <h4 class="contact-title">Denuncias Anonimas</h4>

                        <table class="table">
                            <thead>
                                <tr>
                                    <th scope="col">Nro.</th>
                                    <th scope="col">Acto Delictivo</th>
                                    <th scope="col">Fecha</th>
                                    <th scope="col">Acontecimiento</th>
                                    <th scope="col">Persona Involucrada</th>
                                    <th scope="col">Vehiculos</th>
                                    <th scope="col">Armas</th>
                                    <th scope="col">Ubicación</th>
                                    <th scope="col">Comentario</th>
                                    <th scope="col">Documento</th>
                                    <th scope="col">Imagenes</th>
                                    <th scope="col">Exportar (zip)</th>
                                </tr>
                            </thead>
                            <tbody>
                            <?php
                            include ('conexion.php');
                            $n = 0;
                            $id_denuncia = array();
                            $acto = array();
                            $fecha = array();
                            $acontecimiento = array();
                            $persona = array();
                            $vehiculos = array();
                            $armas = array();
                            $ubicacion = array();
                            $comentarios = array();
                            /* $imagen = array(); */

                            /* $q_img = "SELECT MIN(nombre) AS nombre, id_usuario FROM imagenes GROUP BY id_usuario HAVING COUNT(*) > 1 OR COUNT(*) = 1 ORDER BY id_usuario DESC;";
                            $c_img = mysqli_query($conectar, $q_img);
                            $m = 0;
                            while($row = mysqli_fetch_array($c_img)){
                                $imagen[$m] = $row['nombre'];
                                $m++;
                            } */
                            
                            
                            $query = "SELECT * FROM registros ORDER BY id_registro DESC";
                            $consulta = mysqli_query($conectar, $query);
                            while($row = mysqli_fetch_array($consulta)){
                                $id_denuncia[$n] = $row['id_registro'];
                                $acto[$n] = $row ['acto_delictivo'];
                                $fecha[$n] = $row ['fecha_hora'];
                                $acontecimiento[$n] = $row ['acontecimiento'];
                                $persona[$n] = $row ['pers_inv'];
                                $vehiculos[$n] = $row ['vehiculos'];
                                $armas[$n] = $row ['armas'];
                                $ubicacion[$n] = $row ['ubicacion_incidente'];
                                $comentarios[$n] = $row ['comentarios'];
                            ?>
                                <tr>
                                    <th scope="row"><?php echo $n+1; ?></th>
                                    <th><?php echo $acto[$n]; ?></th>
                                    <td class="truncate"><?php echo $fecha[$n]; ?></td>
                                    <td class="truncate"><?php echo $acontecimiento[$n]; ?></td>
                                    <td class="truncate"><?php echo $persona[$n]; ?></td>
                                    <td class="truncate"><?php echo $vehiculos[$n]; ?></td>
                                    <td class="truncate"><?php echo $armas[$n]; ?></td>
                                    <td class="truncate"><?php echo $ubicacion[$n]; ?></td>
                                    <td class="truncate"><?php echo $comentarios[$n]; ?></td> 
                                    <td>
                                        <a href="fpdf/documento_reporte.php?id=<?php echo $id_denuncia[$n]; ?>" target="_blank"><button type="button" class="btn btn-info">Documento</button></a>
                                    </td>
                                    <td>
                                        <a href="detalle.php?id=<?php echo $id_denuncia[$n]; ?>"><button type="button" class="btn btn-warning">Imagenes</button></a>
                                    </td>
                                    <td>
                                        <a id="confirmarEnlace" href="exportar.php?id=<?php echo $id_denuncia[$n]; ?>"><button type="button" class="btn btn-success confirmarBtn">Exportar</button></a>
                                    </td>
                                </tr>
                            <?php
                            $n++;
                            }
                            ?>
                            </tbody>
                        </table>

                    </div>
                 
                
            </div>

        </div>
    </div>
    <a href="fpdf/PruebaV.php" target="_blanck">Reporte</a>





    <footer class="footer py-3">
        <div class="container text-center">
            <p class="small mb-0 text-light">
                &copy; <script>document.write(new Date().getFullYear())</script> Creado por <a href="http://devcrud.com" target="_blank"><span class="text-danger" title="Bootstrap 4 Themes and Dashboards">Municipalidad distrital de Cieneguilla</span></a> 
            </p>
        </div>
    </footer>

    
    <script>
        // Delegación de eventos para manejar los clics en los botones de confirmación
        document.body.addEventListener('click', function(event) {
            // Verifica si el elemento clickeado es un botón con la clase 'confirmarBtn'
            if (event.target && event.target.classList.contains('confirmarBtn')) {
                event.preventDefault(); // Prevenir el comportamiento por defecto del enlace

                // Mostrar el mensaje de confirmación
                Swal.fire({
                    title: 'Confirmar',
                    text: "¿Está seguro que quiere descargar el archivo comprimido?",
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#3085d6',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Sí, continuar',
                    cancelButtonText: 'No, cancelar'
                }).then((result) => {
                    if (result.isConfirmed) {
                        // Si el usuario confirma, redirigir a la URL del enlace
                        const enlace = event.target.closest('a'); // Encontrar el enlace más cercano al botón
                        window.location.href = enlace.href; // Redirigir a la URL del enlace
                    }
                });
            }
        });
    </script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
	<!-- core  -->
    <script src="assets/vendors/jquery/jquery-3.4.1.js"></script>
    <script src="assets/vendors/bootstrap/bootstrap.bundle.js"></script>

    <!-- bootstrap 3 affix -->
    <script src="assets/vendors/bootstrap/bootstrap.affix.js"></script>

    <!-- Isotope  -->
    <script src="assets/vendors/isotope/isotope.pkgd.js"></script>
    
    <!-- Google mpas -->
    <script async defer src=""></script>

    <!-- JohnDoe js -->
    <script src="assets/js/johndoe.js"></script>

</body>
</html>
